"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FailExecutor = void 0;
const Logger_1 = require("../../utils/Logger");
const FailExecutorException_1 = require("../exceptions/FailExecutorException");
class FailExecutor {
    constructor() {
        this.logger = Logger_1.Logger.getInstance();
    }
    execute(stateMachineName, stateName, definition) {
        this.logger.error(`StateMachine "${stateMachineName}" Failed on "${stateName}"`);
        return Promise.reject(new FailExecutorException_1.FailExecutorException(`StateMachine "${stateMachineName}" Failed on "${stateName}"`, definition.Cause, definition.Error));
    }
}
exports.FailExecutor = FailExecutor;
